Skip to main content
GET
Get Datapoint Ghg Entry Template Components

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"dtp_1DVKHKS101S0Q61Q"

"dtp_1DJN8P57VSBXASFX"

Query Parameters

last
integer
default:10

An integer number of items to retrieve before the item represented by the cursor passed in the before parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
before
string | null

An opaque cursor representing the first item in the previously requested page to select items ordered before it. Submit the previously requested page’s start_cursor here when paginated backwards.

Minimum string length: 1
first
integer
default:10

An integer number of items to retrieve after the item represented by the cursor passed in the after parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
after
string | null

An opaque cursor representing the last item in the previously requested page to select items ordered after it. Submit the previously requested page’s end_cursor here when paginated forwards.

Minimum string length: 1

Response

Successful Response

nodes
GhgEntryTemplateComponent · object[]
required
page_info
PageInfo · object
required
total_count
integer
required